Bug 225886 - Merge Review: hfsutils
Summary: Merge Review: hfsutils
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:03 UTC by Nobody's working on this, feel free to take it
Modified: 2009-10-07 03:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-30 11:05:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:03:43 UTC
Fedora Merge Review: hfsutils

http://cvs.fedora.redhat.com/viewcvs/devel/hfsutils/
Initial Owner: dwmw2@redhat.com

Comment 1 Susi Lehtola 2009-03-27 13:31:14 UTC
Taking on review.

Comment 2 Susi Lehtola 2009-03-27 13:42:38 UTC
rpmlint output:
hfsutils.src:202: W: macro-in-%changelog defattr
hfsutils.src: W: summary-ended-with-dot Tools for reading and writing Macintosh HFS volumes.
hfsutils.x86_64: W: summary-ended-with-dot Tools for reading and writing Macintosh HFS volumes.
hfsutils-devel.x86_64: W: no-documentation
hfsutils-devel.x86_64: W: summary-ended-with-dot A C library for reading and writing Macintosh HFS volumes.
hfsutils-x11.x86_64: W: summary-ended-with-dot A Tk-based front end for browsing and copying files.
5 packages and 0 specfiles checked; 0 errors, 6 warnings.

- Fix the above. 

- Drop empty %config line in %files.

- Change buildroot to
%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

- Drop INSTALL from %doc since it really isn't necessary. Also README can be dropped, since it is too about compilation.


MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK
MUST: Optflags are used and time stamps preserved. OK
 SHOULD: Use INSTALL="install -p" as additional argument to make install to preserve time stamps.
MUST: Packages containing shared library files must call ldconfig. OK
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK
MUST: Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. OK
MUST: Static libraries must be in a -static package. NEEDSFIX
 - Devel package needs to provide %{name}-static = %{version}-%{release}
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. OK
MUST: If a package contains library files with a suffix then library files  ending in .so must go in a -devel package. OK
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. ?
 - Any comment on this? In this case base package only contains binaries, so there's no need to require the base package. Consider including the %doc also in -devel, though.
MUST: Packages does not contain any .la libtool archives. OK
MUST: Desktop files are installed properly. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK

Comment 3 Susi Lehtola 2009-04-24 20:52:21 UTC
Ping.

Comment 4 Susi Lehtola 2009-06-14 16:09:33 UTC
ping dmwm2

Comment 5 Susi Lehtola 2009-08-05 11:24:25 UTC
ping again?

Comment 6 Peter Lemenkov 2009-09-25 08:37:32 UTC
Pong!
It seems that David is busy with other stuff, so i decided to step in and fix
all these small issues (except dropping README - I cannot decide whether we
should drop it or no, but, however, if you're insisting, then I will drop it
too).

Here is a koji scratchbuild

http://koji.fedoraproject.org/koji/taskinfo?taskID=1705983

rpmlint log:
[petro@Sulaco SPECS]$ rpmlint ~/fuse/sshfs/work/Desktop/hfsutils-*
hfsutils-devel.ppc: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 1 warnings.
[petro@Sulaco SPECS]$ 

I'm currently updating cvs branches, and will rebuild it very shortly.

Comment 7 Fedora Update System 2009-09-25 09:11:01 UTC
hfsutils-3.2.6-18.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/hfsutils-3.2.6-18.fc11

Comment 8 Fedora Update System 2009-09-25 09:11:07 UTC
hfsutils-3.2.6-18.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/hfsutils-3.2.6-18.fc10

Comment 9 Susi Lehtola 2009-09-25 09:55:22 UTC
Okay. Still to be fixed:

SHOULD: Use INSTALL="install -p" as additional argument to make install to
preserve time stamps (header files are not probably generated in %build).

MUST: Devel package needs to provide %{name}-static = %{version}-%{release}.

Comment 10 Peter Lemenkov 2009-09-25 10:19:57 UTC
Oops. Forgot about *-static. I'll add these changes shortly.

Comment 11 Fedora Update System 2009-09-25 11:00:08 UTC
hfsutils-3.2.6-19.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/hfsutils-3.2.6-19.fc11

Comment 12 Fedora Update System 2009-09-25 11:00:13 UTC
hfsutils-3.2.6-19.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/hfsutils-3.2.6-19.fc10

Comment 13 Susi Lehtola 2009-09-30 11:05:49 UTC
OK, APPROVED.

Comment 14 Fedora Update System 2009-10-07 03:12:21 UTC
hfsutils-3.2.6-19.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2009-10-07 03:14:54 UTC
hfsutils-3.2.6-19.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.